<template>
  <div class="enterprise-wrap">
    <!-- 公共头部菜单插件 -->
    <vue-office-header :projectName="projectName" @collapseTag="collapseTag" @toRouterView="toRouterView"></vue-office-header>
    <div class="enterprise-wrap__body"></div>
  </div>
</template>
<script>
export default {
  name: 'enterprise',
  data() {
    return {
      projectName: 'haoban-manage-web', // 当前项目名
      collapseFlag: false // 折叠参数
    };
  },
  computed: {},
  methods: {
    // 处理路由跳转
    toRouterView(val) {
      let that = this;
      // 模拟检查数据
      // //有两个参数
      //{
      //  name:,
      //  path:
      //}
      that.$router.push({
        path: val.path
      });
    },

    // 折叠事件
    collapseTag(val) {
      let that = this;
      that.collapseFlag = val;
    }
  },
  /* eslint-disable */
  mounted() {}
};
</script>
<style lang="less" scoped></style>
